Bullish

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/bullish/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/bullish/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1751241600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://s206.q4cdn.com/295320002/files/doc_financials/2025/q2/Bullish-2025Q2-Shareholder-Update.pdf",
    "holding_balance": 24300.0,
    "holding_net_change": 300.0,
    "transaction_value_usd": 32160981.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://s206.q4cdn.com/295320002/files/doc_financials/2025/q3/Bullish-2025Q3-Shareholder-Update-2025_11_18.pdf",
    "holding_balance": 24400.0,
    "holding_net_change": 100.0,
    "transaction_value_usd": 11412656.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767139200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://s206.q4cdn.com/295320002/files/doc_financials/2025/q4/Bullish-2025Q4-Shareholder-Update-2026_2_05-updated.pdf",
    "holding_balance": 23300.0,
    "holding_net_change": -1100.0,
    "transaction_value_usd": 96240408.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/bullish/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    23300.0
  ],
  [
    1782950400000,
    23300.0
  ],
  [
    1783036800000,
    23300.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/bullish/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    1397174015.0
  ],
  [
    1782950400000,
    1432666439.0
  ],
  [
    1783036800000,
    1456855567.0
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/bullish/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 22.36,
    "date": "2026-06-30",
    "high": 23.46,
    "open": 22.97,
    "close": 23.43,
    "volume": 1575200
  },
  {
    "low": 23.58,
    "date": "2026-07-01",
    "high": 25.46,
    "open": 23.87,
    "close": 25.23,
    "volume": 2031300
  },
  {
    "low": 25.46,
    "date": "2026-07-02",
    "high": 27.215,
    "open": 26.0,
    "close": 25.57,
    "volume": 1850400
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/bullish/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0.1544,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0.1703
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bullish/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -16.27,
  "six_month_return": -34.97,
  "three_month_return": -27.09
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bullish/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 37.6,
  "total_btc_percentage": 0.111,
  "share_price_change_state": "down"
}